2bb09abaa70e5037d20133088b8d5872df28ae76
[debian.org.git] / debian / control
1 Source: debian.org
2 Section: local/admin
3 Priority: required
4 Maintainer: Debian sysadmin Team <dsa@debian.org>
5 Uploaders: Peter Palfrader <weasel@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Stephen Gran <sgran@debian.org>, Luca Filipozzi <lfilipoz@debian.org>
6 Build-Depends: debhelper (>= 7)
7 Standards-Version: 3.8.1
8
9 Package: debian.org
10 Architecture: all
11 Depends: userdir-ldap, zsh, tcsh, mksh, ksh, csh, locales-all, exim4-daemon-heavy | postfix, sudo, libpam-pwdfile, vim, nano, munin-node, gnupg, bzip2, cacert-spi | ca-certificates (>> 20080411), ed, cron, dialog, libterm-readline-gnu-perl, logrotate, syslog-ng (>= 3.1), nagios-plugins-standard (>= 1.4.15) | nagios-plugins-basic
12 Recommends: debian.org-recommended
13 Conflicts: dchroot-dsa (<= 2:1)
14 Description: DSA's host metapackage
15  This package depends on packages that should be installed on every
16  debian.org host, and conflicts with packages that should never be
17  installed.
18
19 Package: debian.org-recommended-linux
20 Architecture: all
21 Depends: vlan, ifenslave, bridge-utils, iproute,
22         strace,
23         lsscsi,
24         ethtool,
25         bwm-ng,
26         iputils-tracepath,
27         traceroute,
28         lshw,
29         lsof,
30         sysstat
31 Description: metapackage to pull in recommended, but not essential tools for linux system
32  This package depends on packages that are recommended to  be installed on
33  every Linux debian.org host but are not essential.
34
35 Package: debian.org-recommended
36 Architecture: any
37 Depends: debian.org,
38         busybox-static,
39         debian.org-recommended-linux [linux-any],
40         molly-guard
41         ,
42         ruby-msgpack
43         ,
44         man-db
45         ,
46         devscripts
47         ,
48         subversion, rcs, git, bzr,
49                 git-svn,
50                 subversion-tools,
51                 mercurial,
52                 cvs
53         ,
54         mtr-tiny, tcpdump, tcptraceroute, ndisc6,
55         bind9-host, dnsutils, whois, unbound-host
56         ,
57         emacs24-nox | emacs24 | emacs23-nox | emacs23 | emacs22-nox | emacs22 | emacs21-nox | emacs21,
58         vim-scripts, vim-addon-manager
59         ,
60         at, uptimed,
61         puppet,
62                 ruby-augeas | libaugeas-ruby,
63                 augeas-lenses (>= 0.7),
64         dlocate
65         ,
66         dsa-nagios-checks
67         ,
68         munin-plugins-extra
69         ,
70         dmidecode [amd64 i386 ia64],
71         edac-utils,
72         sg3-utils
73         ,
74         ipython, ipython3
75         ,
76         mcelog [amd64 i386]
77         ,
78         htop, psmisc,
79         ,
80         ncdu,
81         mc,
82                 genisoimage,
83         less,
84         rsync,
85         screen,
86         tmux,
87         ldap-utils, ldapvi,
88         mmv,
89         moreutils,
90         patchutils,
91         diffstat,
92         bc,
93         netcat-openbsd, socat, telnet
94         ,
95         deborphan
96         ,
97         file
98         ,
99         buffer
100         ,
101         bsd-mailx
102         ,
103         timeout | coreutils (>= 8.0-1)
104         ,
105         wget, curl, lftp, ftp,
106         ,
107         dput
108         ,
109         uuid-runtime
110         ,
111         finger
112         ,
113         xz-utils,
114         pigz,
115         unzip
116         ,
117         w3m,
118         elinks,
119         mutt
120         ,
121         ccze,
122         multitail
123 Description: metapackage to pull in recommended, but not essential tools
124  This package depends on packages that are recommended to  be installed on
125  every debian.org host but are not essential.
126
127 Package: debian.org-bugs.debian.org
128 Architecture: all
129 Depends: graphviz,
130         libcgi-simple-perl,
131         libgravatar-url-perl,
132         libio-stringy-perl,
133         liblist-moreutils-perl,
134         libmail-rfc822-address-perl,
135         libmime-tools-perl,
136         libmldbm-perl,
137         libparams-validate-perl,
138         libsafe-hole-perl,
139         libtext-template-perl,
140         liburi-perl,
141         libhtml-tree-perl,
142         libsoap-lite-perl,
143         libtext-iconv-perl,
144         libdbd-pg-perl,
145         libfile-libmagic-perl,
146         libnet-dns-sec-perl,
147         libwww-perl,
148         imagemagick,
149         libdatetime-format-mail-perl,
150         libdatetime-format-pg-perl,
151         libdbix-class-perl,
152         libdbix-class-schema-loader-perl,
153         libdbix-class-helpers-perl,
154     libdbix-class-deploymenthandler-perl,
155     libdbix-class-timestamp-perl,
156     libterm-progressbar-perl,
157     libtext-xslate-perl,
158         python-pyinotify,
159         python-yaml,
160 # contributors.debian.org's data mining
161         python3-requests,
162         python3-debian,
163         python3-six
164 Description: metapackages for bugs.debian.org dependencies
165  This package depends on everything that is needed for a bugs.debian.org
166  mirror or (in the future) bugs-master.
167
168 Package: debian.org-bugs.debian.org-master
169 Architecture: all
170 Depends: debian.org-bugs.debian.org,
171         gnuplot,
172     libclamav-client-perl,
173         ttf-liberation,
174         kgb-client-git,
175         lynx    
176 Description: metapackages for bugs-master.debian.org dependencies
177  This package depends on everything that is needed for a
178  bugs-master.debian.org
179
180 Package: debian.org-bugs.debian.org-search
181 Architecture: all
182 Depends: debian.org-bugs.debian.org,
183         hyperestraier,
184         libdate-manip-perl,
185         libsearch-estraier-perl
186 Description: metapackages for bugs-search.debian.org dependencies
187  This package depends on everything that is needed for a
188  bugs-search.debian.org
189
190 Package: debian.org-bugs.debian.org-mx
191 Architecture: all
192 Depends: debian.org-bugs.debian.org,
193         spamassassin,
194         build-essential,
195         spamc,
196         libmail-spf-perl,
197         re2c,
198         libsys-syslog-perl,
199         libio-socket-inet6-perl,
200         libnet-ident-perl,
201         libdbi-perl,
202         pyzor,
203         libmail-dkim-perl,
204         libdbd-pg-perl
205 Description: metapackages for bugs.debian.org mail exchanger
206  This package depends on everything that is needed for a bugs.debian.org
207  MX.
208
209
210 Package: debian.org-packages-master.debian.org
211 Architecture: all
212 Depends: debian.org-packages.debian.org,
213         procmail,
214         gettext,
215         libhtml-template-perl,
216         libxml-rss-perl,
217         libtimedate-perl,
218         libio-stringy-perl,
219         freecdb,
220         tig
221 Description: metapackages for packages.debian.org dependencies
222  This package depends on everything that is needed for a
223  packages-master.debian.org server.  For the mirrors all you need is the
224  debian.org-packages.debian.org package.
225
226 Package: debian.org-packages.debian.org
227 Architecture: all
228 Depends: liblocale-maketext-lexicon-perl,
229         libi18n-acceptlanguage-perl,
230         libnumber-format-perl,
231         libcompress-zlib-perl,
232         libhtml-parser-perl,
233         libmldbm-perl,
234         libtext-iconv-perl,
235         libclass-accessor-perl,
236         liburi-perl,
237         libtemplate-perl,
238         liblingua-stem-perl,
239         libsearch-xapian-perl,
240         libtimedate-perl,
241         libcgi-fast-perl,
242         libapache2-mod-fcgid,
243         dpkg-dev,
244         rsync
245 Description: metapackages for packages.debian.org dependencies
246  This package depends on everything that is needed for a packages.debian.org
247  mirror.  For packages-master install the debian.org-packages-master.debian.org
248  package.
249
250 Package: debian.org-www-master.debian.org
251 Architecture: all
252 Depends: debiandoc-sgml,
253         asciidoc,
254         cm-super,
255         debhelper,
256         docbook,
257         docbook-dsssl,
258         docbook-utils,
259         docbook-xsl,
260         dpkg-dev,
261         fonts-arphic-uming,
262         fonts-mlym,
263         gawk (>= 1:4.0.1),
264         gettext,
265         ghostscript,
266         imagemagick,
267         iso-codes,
268         isoquery,
269         jadetex,
270         kcc,
271         ko.tex-base,
272         latex-cjk-all,
273         latex-cjk-chinese,
274         ldap-utils,
275         libcgi-pm-perl,
276         libemail-address-perl,
277         libintl-perl,
278         libmime-lite-perl,
279         libnet-ldap-perl,
280         libsoap-lite-perl,
281         libtimedate-perl,
282         libwww-perl,
283         libxml2-utils,
284         libxml-rss-perl,
285         locales, locales-all,
286         lmodern,
287         maildrop,
288         opencc,
289         openjade | openjade1.3,
290         opensp,
291         po4a,
292         poxml,
293         procmail,
294         texlive-fonts-recommended,
295         texlive-lang-all,
296         latex-cjk-japanese,
297         texlive-latex-base,
298         texlive-latex-extra,
299         texlive-latex-recommended,
300         fonts-wqy-microhei,
301         fonts-vlgothic,
302         tidy,
303         time,
304         uni2ascii,
305         wml,
306         xmlroff, dblatex,
307         xplanet,
308         xplanet-images,
309         xsltproc,
310         libjson-perl,
311 Description: metapackages for www-master.debian.org dependencies
312  This package depends on everything that is needed for a www-master.debian.org.
313
314
315 Package: debian.org-buildd.debian.org
316 Architecture: all
317 Depends:
318         dose-builddebcheck,
319         dose-distcheck,
320         ghostscript,
321         libcompress-bzip2-perl,
322         libcompress-zlib-perl,
323         libhash-merge-perl,
324         libmailtools-perl,
325         libdbi-perl,
326         libdbd-pg-perl,
327         libfile-spec-perl,
328         libstring-escape-perl,
329         libstring-format-perl,
330         libyaml-tiny-perl,
331         python-apt,
332         python-contract,
333         python-coverage,
334         python-debian,
335         python-psycopg2,
336         python-mako,
337         python-nose,
338         python-sqlalchemy,
339         python3-coverage,
340         python3-debian,
341         python3-nose,
342         python3-psycopg2,
343         python3-sqlalchemy,
344         r-base-core,
345         r-cran-lattice,
346         moreutils (>= 0.39~),
347         libdpkg-perl,
348         php,
349         php-bz2,
350         php-cgi,
351         php-pgsql,
352         libapache2-mod-fcgid,
353         libyaml-libyaml-perl
354 Description: metapackages for buildd.debian.org dependencies
355  This package depends on everything that is needed for a buildd.debian.org.
356
357
358 Package: debian.org-patch-tracker.debian.org
359 Architecture: all
360 Depends: patchutils,
361         python,
362         python-cheetah,
363         python-pygments,
364         python-debian,
365         reprepro,
366         python-wsgiref,
367         python-simplejson,
368         python-pysqlite2,
369         diffstat
370 Description: metapackages for patch-tracker.debian.org dependencies
371  This package depends on everything that is needed for a patch-tracker.debian.org.
372
373 Package: debian.org-planet.debian.org
374 Architecture: all
375 Depends: libwww-perl,
376         timeout | coreutils (>= 8.0-1),
377         debianutils,
378         python-django,
379         python,
380         libdbi-perl, libdate-manip-perl, libdbd-sqlite3-perl
381 Description: metapackages for planet.debian.org dependencies
382  This package depends on everything that is needed for a planet.debian.org.
383
384 Package: debian.org-security-tracker.debian.org
385 Architecture: all
386 Depends: libdbd-sqlite3-perl,
387         sqlite3,
388         python-apsw,
389         libterm-readline-gnu-perl,
390         python-apt,
391         python-soappy
392 Description: metapackages for security-tracker.debian.org dependencies
393  This package depends on everything that is needed for a security-tracker.debian.org.
394
395
396 Package: debian.org-ftpmaster.debian.org-code-signing
397 Architecture: all
398 Depends: devscripts,
399         dpkg-dev,
400         pesign,
401         python3-requests,
402         python3-sqlalchemy,
403         # Needed for sign-file, any kbuild will do
404         linux-kbuild-4.9,
405 Description: metapackage for the code-signing service
406  Currently co-located with ftpmaster, this service handles signing of kernels,
407  modules, and UEFI executables to support Debian's participation in the UEFI
408  Secure Boot programme.
409
410 Package: debian.org-ftpmaster.debian.org
411 Architecture: all
412 Depends: apt-utils,
413         libapt-pkg-dev,
414         libemail-sender-perl,
415         libcgi-pm-perl,
416         python-apt,
417         python-debianbts (>= 1.4~bpo50+1),
418         lintian,
419         python,
420         python-debian,
421         python-ldap,
422         python-psycopg2,
423         python-pygresql,
424         python-pyrss2gen,
425         python-yaml,
426         python-rrdtool,
427         python-sqlalchemy,
428         python-tabulate,
429         python3-voluptuous,
430         python3-yaml,
431         binutils-multiarch,
432         build-essential,
433         graphviz,
434         ikiwiki,
435         python-epydoc,
436         python-numpy,
437         python-soappy,
438         r-base,
439         symlinks,
440         python-magic,
441         unp,
442         procmail,
443         cvs,
444         ruby,
445         lynx,
446         libxml-rss-perl,
447         ghostscript,
448         perforate,
449         wdiff,
450         ruby-soap4r,
451         ack-grep,
452         jdupes,
453         python3-debiancontributors,
454         python3-psycopg2,
455         debian.org-ftpmaster.debian.org-code-signing,
456 Description: metapackage for ftpmaster
457  This package depends on everything that is needed for an ftpmaster setup.
458
459 Package: debian.org-ftpmaster.debian.org-poneys
460 Architecture: all
461 Depends: bicyclerepair,
462         dpkg-dev-el,
463         emacs-goodies-el,
464         pychecker,
465         pylint,
466         python-mode,
467         gitstats,
468         colordiff
469 Description: metapackage for ftpmaster extras
470  Things not really needed needed.
471
472 Package: debian.org-upload.debian.org
473 Architecture: all
474 Depends: acl,
475          python-apt,
476          python-debian,
477          python-psycopg2,
478          python-sqlalchemy,
479          python-rrdtool,
480          python,
481          libemail-sender-perl
482 Description: metapackage for upload-master host
483  This package depends on everything that an upload master host (with
484  queued and DEFERRED queue) needs.
485
486 Package: debian.org-release.debian.org
487 Architecture: all
488 Depends:
489         colordiff,
490         dose-distcheck,
491         dose-builddebcheck,
492         mutt,
493         subversion,
494         python2.7,
495         python2.7-dev,
496         python-dev,
497         wdiff,
498         python-pygresql,
499         python-libxslt1,
500         python-apt,
501         python-debian,
502         python-six,
503         libapt-pkg-perl,
504         libapt-pkg-dev,
505         dpkg-dev,
506         procmail,
507         rrdtool,
508         python3-apt,
509         python3-debian,
510         python3-six,
511         python3-sphinx,
512         python3-yaml,
513         picosat,
514         git-email,
515         python-networkx,
516         python-pygraphviz,
517         python-yaml,
518         postgresql-client,
519         python-psycopg2,
520         python3-psycopg2,
521         python-sqlalchemy,
522         libdbd-pg-perl,
523         libsoap-lite-perl,
524 Description: metapackage for release
525  This package depends on everything that is needed for a release.debian.org
526  setup.
527
528 Package: debian.org-cdbuilder.debian.org
529 Architecture: all
530 Depends: bittornado,
531         build-essential,
532         debhelper,
533         debian-cd,
534         jigit,
535         m4,
536         tofrodos,
537         qemu-system-arm,
538         qemu-system-x86,
539         qemu-utils,
540         qemu-kvm,
541         zip,
542         zsync,
543         fakeroot,
544         dosfstools,
545         xorriso,
546         libsoap-lite-perl,
547         mtools,
548         libdbd-sqlite3-perl
549 Description: metapackage for cdbuilder
550  This package depends on all the packages that are needed for a cdbuilder setup.
551
552 Package: debian.org-cdimage-search.debian.org
553 Architecture: all
554 Depends: libconfigreader-simple-perl, libdbd-sqlite3-perl
555 Description: metapackage for cdimage-search.debian.org
556  This package depends on all the packages that are needed for the CD/DVD search CGI website
557
558 Package: debian.org-manpages.debian.org
559 Architecture: all
560 Depends: golang-go,
561         mandoc
562 Description: metapackage for manpages
563  This package depends on all the packages that are needed for manpages.d.o setup.
564
565 Package: debian.org-nm.debian.org
566 Architecture: all
567 Depends: libapache2-mod-wsgi-py3,
568         mutt, mboxgrep,
569         python,
570         python-mako (>= 0.2.5), python-ldap,
571         python-apt, python-beautifulsoup, python-debianbts, python-dns,
572         python-dnspython, python-egenix-mxdatetime, python-egenix-mxtools,
573         python-elementtree | python (>= 2.6), python-flup, python-libxml2,
574         python-lxml, python-psycopg2, python-soappy,
575         python-xapian,
576         python-dateutil,
577         python-debian,
578         python-django (>= 1.8),
579         python-django-south,
580         python-debiancontributors,
581         python-tz,
582         python-markdown,
583         python-lzma,
584         python-requests (>= 2.0.0),
585         python-djangorestframework,
586         python3,
587         python3-requests,
588         python3-psycopg2,
589         python3-django (>= 1.10),
590         python3-ldap3,
591         python3-apt,
592         python3-xapian,
593         python3-dateutil,
594         python3-debian,
595         python3-debiancontributors,
596         python3-tz,
597         python3-git,
598         python3-markdown,
599         python3-djangorestframework,
600         procmail,
601         rrdtool,
602         moreutils,
603         libjs-jquery,
604         postgresql-client
605 Description: metapackage for nm.debian.org
606  This package depends on all the packages that are needed for nm.debian.org setup.
607
608 Package: debian.org-backports.debian.org
609 Architecture: all
610 Depends: debian.org-ftpmaster.debian.org,
611         libdbi-perl, libdbd-pg-perl
612 Description: metapackage for backports.debian.org
613  This package depends on all the packages that are needed for backports.debian.org setup.
614
615 Package: debian.org-qa.debian.org
616 Architecture: all
617 Depends: db-util,
618         devscripts (>= 2.15.9~),
619         gnuplot-nox,
620         wml,
621         libapt-pkg-perl,
622                 libcgi-pm-perl,
623                 libdbd-pg-perl,
624                 libdate-manip-perl,
625                 libdpkg-perl,
626                 libmailtools-perl,
627                 libsoap-lite-perl,
628                 libtemplate-perl,
629                 libxml-simple-perl,
630                 libmail-sendmail-perl,
631                 libdate-calc-perl,
632                 libnet-ldap-perl,
633                 libjson-perl,
634                 libyaml-syck-perl,
635         php,
636         php-cgi,
637         php-cli,
638         php-ldap,
639         php-pgsql,
640         php-xml,
641         php-dba,
642         libapache2-mod-fcgid,
643         python-apt, python-psycopg2, python-gpgme,
644         python3, python3-psycopg2,
645         postgresql-client,
646         rrdtool,
647         raptor-utils | raptor2-utils,
648         dose-distcheck, dose-builddebcheck, python3-yaml, python3-debian, python3-debianbts,
649         bzr,
650         cvs,
651         darcs,
652         monotone,
653         git,
654         mercurial,
655         subversion,
656 Description: metapackage for qa.debian.org
657  This package depends on all the packages that are needed for qa.debian.org setup.
658
659 Package: debian.org-packages.qa.debian.org
660 Architecture: all
661 Depends: db4.7-util,
662         libio-compress-perl,
663         libio-compress-lzma-perl,
664         libmailtools-perl,
665         libmime-tools-perl,
666         libmail-verp-perl,
667         xsltproc,
668         mhonarc,
669         python,
670         python-lxml,
671         python-soappy,
672         python-debian,
673         python-yaml,
674         python-zsi
675 Description: metapackage for packages.qa.debian.org
676  This package depends on all the packages that are needed for packages.qa.debian.org setup.
677
678 Package: debian.org-tracker.debian.org
679 Architecture: all
680 Depends:
681 # Runtime
682         daemon,
683         libapache2-mod-wsgi-py3,
684         python3-apt,
685         python3-bs4,
686         python3-debian,
687         python3-debianbts (>= 2.6),
688         python3-django (>= 1:1.11),
689         python3-django-jsonfield,
690         python3-gpg,
691         python3-requests (>= 2),
692         python3-yaml,
693         python3-pyinotify,
694         dpkg-dev,
695 # Database access
696         python3-psycopg2,
697         postgresql-client,
698 # Test suite and docs
699         python3-sphinx,
700 Description: metapackage for tracker.debian.org
701  This package depends on all the packages that are needed for tracker.debian.org.
702
703 Package: debian.org-udd.debian.org
704 Architecture: all
705 Depends: curl,
706         dpkg-dev,
707         graphviz,
708         libapt-pkg-dev,
709         libcrypt-ssleay-perl,
710         libcgi-simple-perl,
711         libdbd-pg-perl,
712         libdbi-perl,
713         libdpkg-ruby,
714         libio-stringy-perl,
715         liblist-allutils-perl,
716         liblist-moreutils-perl,
717         libmime-tools-perl,
718         libmldbm-perl,
719         libparams-validate-perl,
720         libperl-dev,
721         libsafe-hole-perl,
722         libtext-template-perl,
723         libyaml-syck-perl,
724         postgresql-autodoc,
725         python-dateutil,
726         python-debian,
727         python-dev,
728         python-launchpadlib,
729         python-psycopg2,
730         python-yaml,
731         ruby-json,
732         ruby-oj
733 Description: metapackage for udd.debian.org
734  This package depends on all the packages that are needed for udd.debian.org setup.
735
736 Package: debian.org-snapshot.debian.org
737 Architecture: all
738 Depends:
739         ruby,
740         ruby-dbd-pg,
741         python-yaml, python-psycopg2, python-lockfile, python-fuse, uuid-runtime,
742         python-dev, gcc,
743         python-pylons
744 Description: metapackage for snapshot.debian.org
745  This package depends on all the packages that are needed for snapshot.debian.org setup.
746
747 Package: debian.org-women.debian.org
748 Architecture: all
749 Depends: wml
750 Description: metapackages for women.debian.org dependencies
751  This package depends on everything that is needed for women.debian.org.
752
753
754 Package: debian.org-lintian.debian.org
755 Architecture: all
756 Depends:
757 # lintian's runtime dependencies
758         binutils,
759         binutils-multiarch,
760         bzip2,
761         diffstat,
762         dpkg-dev,
763         file,
764         gettext,
765         intltool-debian,
766         libapt-pkg-perl,
767         libarchive-zip-perl,
768         libclass-accessor-perl,
769         libclone-perl,
770         libdigest-sha-perl,
771         libdpkg-perl,
772         libemail-valid-perl,
773         libfile-basedir-perl,
774         libhtml-parser-perl,
775         libipc-run-perl,
776         liblist-moreutils-perl,
777         libparse-debianchangelog-perl,
778         libperlio-gzip-perl,
779         libtext-levenshtein-perl,
780         libtimedate-perl,
781         liburi-perl,
782         libyaml-libyaml-perl,
783         libxml-simple-perl,
784         man-db,
785         perl,
786         t1utils,
787         xz-utils,
788 # Needed for the "clean" + "rebuild-lintian.debian.org" targets (beyond the above)
789         debhelper,
790         docbook-utils,
791         docbook-xml,
792 # Needed for the reporting framework (beyond the above)
793         gnuplot-nox | gnuplot,
794         libtext-template-perl,
795         scour | python-scour (<< 0.36-2~),
796 Description: metapackages for lintian.debian.org dependencies
797  This package depends on everything that is needed for lintian.debian.org.
798
799 Package: debian.org-popcon.debian.org
800 Architecture: all
801 Depends:
802         libchart-perl,
803         libcgi-pm-perl
804 Description: metapackages for popcon.debian.org dependencies
805  This package depends on everything that is needed for popcon.debian.org.
806
807 Package: debian.org-dde.debian.net
808 Architecture: all
809 Depends: python-apt,
810         python-debian,
811         python-debianbts,
812         python-feedparser,
813         python-flup,
814         python-nose,
815         python-paste,
816         python-psycopg2,
817         python-pyrss2gen,
818         python-soappy,
819         python-werkzeug,
820         python-xapian,
821         python-yaml
822 Description: metapackages for dde.debian.net dependencies
823  This package depends on everything that is needed for dde.debian.net.
824
825 Package: debian.org-debtags.debian.org
826 Architecture: all
827 Depends: python-apt,
828         python3-apt,
829         python-debian,
830         python3-debian,
831         python-django,
832         python3-django,
833         python-xapian (>= 1.2.7-1~bpo60+1),
834         python3-xapian (>= 1.2.7-1~bpo60+1),
835         python-psycopg2,
836         python3-psycopg2,
837         python-debiancontributors,
838         python3-debiancontributors,
839         python-six,
840         python3-six,
841         postgresql-client,
842         g++,
843         libapt-pkg-dev
844 Description: metapackages for debtags.debian.org dependencies
845  This package depends on everything that is needed for debtags.debian.org.
846
847 Package: debian.org-sso.debian.org
848 Architecture: all
849 Depends: libapache2-mod-wsgi-py3,
850         python3-requests,
851         python3-django,
852         python3-lockfile,
853         python3-ldap3,
854         python3-psycopg2,
855         python3-openssl,
856         gnutls-bin
857 Description: metapackages for sso.debian.org dependencies
858  This package depends on everything that is needed for sso.debian.org.
859
860 Package: debian.org-lists.debian.org
861 Architecture: all
862 Depends: xapian-tools,
863         xapian-omega,
864         smartlist,
865         procmail,
866         gnuplot,
867         rrdtool,
868         libdpkg-perl,
869         gettext,
870         grepmail,
871         libcompress-raw-zlib-perl,
872         libgcrypt20-dev,
873         libmoose-perl,
874         libnet-oauth2-perl,
875         carton,
876         amavisd-new,
877         amavis-lists,
878         zoo,
879         lha,
880         p7zip,
881         unrar-free,
882         ripole,
883         pfqueue,
884         pyzor,
885         razor,
886         mrtgutils,
887         pax,
888         pwgen,
889         rbldnsd,
890         rng-tools,
891         speedy-cgi-perl,
892         ccze,
893         pflogsumm
894 Description: metapackages for lists.debian.org dependencies
895  This package depends on everything that is needed for lists.debian.org.
896
897 Package: debian.org-ddtp.debian.org
898 Architecture: all
899 Depends: libalgorithm-diff-xs-perl,
900         libdbd-pg-perl,
901         libdbi-perl,
902         libmail-sender-perl,
903         libmime-tools-perl,
904         libtext-diff-perl,
905         libtext-iconv-perl
906         ,
907         gnuplot
908         ,
909         libapache2-mod-wsgi,
910         python-setuptools,
911         python-psycopg2,
912         python-django,
913         python-sqlalchemy
914         ,
915         tig,
916         postgresql-client-9.1
917 Description: metapackages for ddtp.debian.org dependencies
918  This package depends on everything that is needed for ddtp.debian.org.
919
920 Package: debian.org-i18n.debian.org
921 Architecture: all
922 Depends: gettext,
923         po-debconf
924         ,
925         liblocale-gettext-perl,
926         libmailtools-perl,
927         libsoap-lite-perl,
928         libtimedate-perl
929         ,
930         tig,
931         rrdtool
932 Description: metapackages for i18n.debian.org dependencies
933  This package depends on everything that is needed for i18n.debian.org.
934
935 Package: debian.org-l10n.debian.org
936 Architecture: all
937 Depends: gettext,
938         po-debconf
939         ,
940         liblocale-gettext-perl,
941         libmailtools-perl,
942         libsoap-lite-perl,
943         libtimedate-perl
944         ,
945         tig,
946         rrdtool
947 Description: metapackages for l10n.debian.org dependencies
948  This package depends on everything that is needed for l10n.debian.org.
949
950 Package: debian.org-piuparts-master.debian.org
951 Architecture: all
952 Depends: debhelper,
953         asciidoc,
954         git,
955         xmlto,
956         python-debianbts,
957         apache2,
958         ghostscript,
959         golang-go (>= 2:1.7~5~bpo8+1),
960         python-rpy2,
961         r-base-dev,
962         r-recommended,
963         tango-icon-theme,
964         screen,
965         python-apt,
966         python-distro-info,
967         python-lzma,
968         python-yaml,
969         libsoap-lite-perl,
970         dose-distcheck (>= 5.0.1-8~bpo8)
971 Description: metapackage for piuparts-master.debian.org
972  This package depends on all the packages that are needed for the
973  master in the piuparts.debian.org setup.
974
975 Package: debian.org-piuparts-slave.debian.org
976 Architecture: all
977 Depends: debhelper,
978         asciidoc,
979         git,
980         xmlto,
981         debootstrap,
982         debsums,
983         lsb-release,
984         screen,
985         python-debian,
986         python-apt,
987         python-distro-info,
988         python-lzma,
989         adequate (>= 0.15.1~bpo8)
990 Description: metapackage for piuparts-slave.debian.org
991  This package depends on all the packages that are needed for the
992  slaves in the piuparts.debian.org setup.
993
994 Package: debian.org-wiki.debian.org
995 Architecture: all
996 Depends: libapache2-mod-wsgi,
997         libcgi-pm-perl,
998         libjson-perl,
999         python-moinmoin (>= 1.9.7-2~bpo7+1),
1000         python-launchpadlib,
1001         libsoap-lite-perl,
1002         python-docutils
1003 Description: metapackage for wiki.debian.org
1004  This package depends on all the packages that are needed for the Debian wiki
1005
1006 Package: debian.org-vote.debian.org
1007 Architecture: all
1008 Depends: libparse-recdescent-perl,
1009         libmime-tools-perl,
1010         libnet-ldap-perl,
1011         libgnupg-interface-perl,
1012         libmail-gnupg-perl,
1013         graphviz
1014 Description: metapackage for vote.debian.org
1015  This package depends on all the packages that are needed for DeVoteE
1016
1017 Package: debian.org-bits.debian.org
1018 Architecture: all
1019 Depends: pelican, python-feedparser
1020 Description: metapackage for bits.debian.org
1021  This package depends on all the packages that are needed for the Debian
1022  blog bits.debian.org
1023
1024 Package: debian.org-d-i.debian.org
1025 Architecture: all
1026 Depends: gnuplot,
1027         libdate-manip-perl,
1028         libemail-mime-perl,
1029         libemail-sender-perl,
1030         libfile-slurp-perl,
1031         libgd-graph-perl,
1032         libhtml-template-perl,
1033         liblist-moreutils-perl,
1034         libsort-versions-perl,
1035         myrepos,
1036         gettext,
1037         graphviz,
1038         fonts-liberation,
1039         dose-distcheck,
1040         liburi-perl,
1041         aspell,
1042         libunicode-string-perl,
1043         libxml-libxml-perl,
1044 # Taken from d-i's manual (src:installation-guide)'s build-deps:
1045         docbook,
1046         docbook-xml,
1047         docbook-xsl,
1048         xsltproc,
1049         gawk,
1050         libhtml-parser-perl,
1051         w3m,
1052         poxml,
1053         jadetex,
1054         openjade | openjade1.3,
1055         dblatex,
1056         docbook-dsssl,
1057         ghostscript,
1058         texlive-xetex,
1059         lmodern,
1060         texlive-lang-cyrillic,
1061         texlive-lang-czechslovak,
1062         texlive-lang-european,
1063         texlive-lang-french,
1064         texlive-lang-german,
1065         texlive-lang-greek,
1066         texlive-lang-italian,
1067         texlive-lang-other,
1068         texlive-lang-portuguese,
1069         texlive-lang-spanish,
1070         ko.tex-base,
1071         cm-super,
1072         fonts-wqy-microhei,
1073         fonts-vlgothic,
1074         fonts-freefont-ttf,
1075         po-debconf
1076 Description: metapackage for d-i.debian.org
1077  This package depends on all the packages that are needed for the
1078  d-i.debian.org setup.
1079
1080 Package: debian.org-codesearch.debian.org
1081 Architecture: all
1082 Depends: dpkg-dev,
1083         postgresql-client
1084 Description: metapackage for codesearch.debian.org
1085  This package depends on all the packages that are needed for the codesearch
1086  setup.
1087
1088 Package: debian.org-dedup.debian.net
1089 Architecture: all
1090 Depends: curl,
1091         python,
1092         python-concurrent.futures,
1093         python-debian,
1094         python-imaging,
1095         python-jinja2,
1096         python-lzma,
1097         python-pkg-resources,
1098         python-werkzeug,
1099         python-yaml,
1100         python-sqlalchemy,
1101         python-ssdeep,
1102         python3,
1103         python3-debian,
1104         python3-jinja2,
1105         python3-pil,
1106         python3-pkg-resources,
1107         python3-werkzeug,
1108         python3-yaml,
1109         python3-sqlalchemy,
1110         python3-ssdeep,
1111         sqlite3
1112 Description: metapackage for dedup.debian.net
1113  This package depends on all packages that are required for operating the
1114  Debian duplication detector.
1115
1116 Package: debian.org-wnpp-by-tags.debian.net
1117 Architecture: all
1118 Depends: debtags, python-debian, python-beautifulsoup
1119 Description: metapackage for wnpp-by-tags.debian.net
1120  This package depends on all the packages that are needed for the wnpp-by-tags
1121  setup.
1122
1123 Package: debian.org-blends.debian.org
1124 Architecture: all
1125 Depends: python-genshi,
1126  python-markdown,
1127  python-docutils,
1128  python-debian,
1129  python-psutil,
1130  python-psycopg2,
1131  python-apt,
1132  python3-genshi,
1133  python3-markdown,
1134  python3-docutils,
1135  python3-debian,
1136  python3-psutil,
1137  python3-psycopg2,
1138  python3-apt,
1139  postgresql-client
1140 Description: metapackage for blends.debian.org
1141  This package depends on all the packages that are needed for the
1142  blends.debian.org setup.
1143
1144 Package: debian.org-pet.debian.net
1145 Architecture: all
1146 Depends: python-apt,
1147         python-argparse,
1148         python-debian,
1149         python-debianbts,
1150         python-inotifyx,
1151         python-paste,
1152         python-psycopg2,
1153         python-pyramid,
1154         python-popcon,
1155         python-sqlalchemy,
1156         python-subversion
1157 Description: metapackages for pet.debian.net dependencies
1158  This package depends on everything that is needed for the PET setup.
1159
1160 Package: debian.org-dsa.debian.org
1161 Architecture: all
1162 Depends: ikiwiki, libtext-wikicreole-perl, libtext-wikiformat-perl, libtext-multimarkdown-perl
1163 Description: metapackages for dsa.debian.org master dependencies
1164  This package depends on everything that is needed for the service
1165
1166 Package: debian.org-dns.debian.org
1167 Architecture: all
1168 Depends: perl-doc,
1169         nagios-nrpe-plugin,
1170         sqlite3,
1171         libdata-compare-perl,
1172         libnet-dns-perl,
1173         libnet-dns-sec-perl,
1174         python-dnspython,
1175         python-yaml,
1176         letsencrypt.sh,
1177 Description: metapackages for dns.debian.org master dependencies
1178  This package depends on everything that is needed for the service
1179
1180 Package: debian.org-nagios.debian.org
1181 Architecture: all
1182 Depends: icinga,
1183         nagios-plugins-contrib
1184 Description: metapackages for nagios.debian.org master dependencies
1185  This package depends on everything that is needed for the service and
1186  also provides the dpkg-diverts for the REMOTE_USER hack
1187
1188 Package: debian.org-deriv.debian.net
1189 Architecture: all
1190 Depends: python,
1191         python-apt,
1192         python-debian,
1193         python-imaging,
1194         python-psycopg2,
1195         python-requests,
1196         python-simplejson,
1197         python-yaml,
1198         libxml-feed-perl,
1199         apt-transport-https,
1200         dpkg-dev,
1201         patchutils,
1202         rsync,
1203         curl,
1204         make,
1205         lzip,
1206 Homepage: https://wiki.debian.org/Derivatives/Integration#Patches
1207 Description: metapackage for the derivatives census patch generation
1208  This package depends on everything that is needed for the service
1209
1210 Package: debian.org-httpredir.debian.org
1211 Architecture: all
1212 Depends: inoticoming,
1213         libanyevent-perl,
1214         libanyevent-http-perl,
1215         libev-perl,
1216         libtimedate-perl,
1217         libgeo-ip-perl,
1218         libwww-perl,
1219         liburi-perl,
1220         libplack-perl,
1221         starman
1222 Description: metapackage for http-redirector dependencies
1223  This package depends on everything that is needed for an instance of
1224  the http-redirector.
1225
1226 Package: debian.org-search.debian.org
1227 Architecture: all
1228 Depends: xapian-omega
1229 Description: metapackage for search.debian.org dependencies
1230  This package depends on everything that is needed for an instance of
1231  the www search engine (aka search.debian.org).
1232
1233 Package: debian.org-dgit.debian.org
1234 Architecture: all
1235 Depends: perl,
1236         libwww-perl,
1237         libdpkg-perl,
1238         git,
1239         devscripts,
1240         dpkg-dev,
1241         libdigest-sha-perl,
1242         liblist-moreutils-perl,
1243         libtext-iconv-perl,
1244         libtext-glob-perl,
1245         dput,
1246         curl,
1247         libjson-perl,
1248         gpgv,
1249         chiark-utils-bin,
1250         libdbd-sqlite3-perl,
1251         sqlite3
1252 Description: metapackage for dgit.debian.org dependencies
1253  This package depends on everything that is needed for an instance of
1254  the dgit git server (aka dgit.debian.org).
1255  .
1256  (This is actually simply the dependencies of the dgit and
1257  dgit-infrastructure binary packages, but due to chicken-and-egg
1258  problems and for ease of maintenance we are running the dgit
1259  infrastructure out of a git tree.)
1260
1261 Package: debian.org-appstream.debian.org
1262 Architecture: all
1263 Depends: gdc,
1264         libappstream-dev,
1265         optipng,
1266         cmake,
1267         intltool,
1268         libglib2.0-dev,
1269         libxml2-dev,
1270         libgirepository1.0-dev,
1271         libxapian-dev,
1272         libyaml-dev,
1273         xmlto,
1274         gobject-introspection,
1275         libprotobuf-dev,
1276         protobuf-compiler,
1277         libgdk-pixbuf2.0-dev,
1278         libarchive-dev,
1279         librsvg2-dev,
1280         liblmdb-dev,
1281         libcairo2-dev
1282 Description: metapackage for appstream.debian.org dependencies
1283  This package depends on everything that is needed for an instance of
1284  the DEP-11/AppStream metadata extractor.
1285
1286 Package: debian.org-debian-r.debian.org
1287 Architecture: all
1288 Depends: debian.org-ftpmaster.debian.org
1289 Description: metapackage for debian-r.debian.org dependencies
1290  This package depends on everything that is needed for the debian-r
1291  archive software (which is generally everything that is required by
1292  ftpmaster.debian.org).
1293
1294 Package: debian.org-ftpmaster.debian-ports.org
1295 Architecture: all
1296 Depends: apt-utils,
1297         git,
1298         gnupg,
1299         python,
1300         python-debian,
1301         procmail,
1302         wget
1303 Description: metapackage for debian-ports ftpmaster
1304  This package depends on everything that is needed for a debian-ports
1305  ftpmaster setup (using mini-dak).
1306
1307 Package: debian.org-bootstrap.debian.net
1308 Architecture: all
1309 Depends: curl,
1310         debian-ports-archive-keyring,
1311         gnuplot,
1312         dose-distcheck,
1313         apt-cudf,
1314         botch,
1315         python3-pydot,
1316         libjs-jquery,
1317         libjs-jquery-tablesorter,
1318         libgraph-easy-perl,
1319         libsoap-lite-perl,
1320         time,
1321 Description: metapackage for bootstrap.debian.net
1322  This package depends on everything that is needed for the bootstrap
1323  analysis tools with results displayed on bootstrap.debian.net
1324
1325 Package: debian.org-mirror-master.debian.org
1326 Architecture: all
1327 Depends: sqlite3,
1328         python3-sqlalchemy,
1329         python3-dateutil,
1330         python3-jinja2,
1331         python3-bs4,
1332         python3-alembic (>= 0.8.7)
1333 Description: metapackage for mirror-master.debian.org
1334  This package depends on everything that is needed for
1335  mirror-master.debian.org.
1336
1337 Package: debian.org-sources.debian.org
1338 Architecture: all
1339 Depends: apache2,
1340         libapache2-mod-fcgid,
1341         libjs-highlight.js,
1342         libjs-jquery,
1343         python-apt,
1344         python-debian,
1345         python-flask,
1346         python-flaskext.wtf,
1347         python-flup,
1348         python-magic,
1349         tango-icon-theme,
1350         diffstat,
1351         dpkg-dev,
1352         exuberant-ctags,
1353         python-lzma,
1354         python-matplotlib,
1355         python-psycopg2,
1356         python-sqlalchemy,
1357         sloccount,
1358 Description: metapackage for sources.debian.org
1359  This package depends on everything that is needed for
1360  sources.debian.org (Debsources).
1361
1362 Package: debian.org-veyepar.debian.org
1363 Architecture: all
1364 Depends: apache2,
1365         inkscape,
1366         bs1770gain,
1367         ffmpeg,
1368         git,
1369         postgresql-client,
1370         python3-psycopg2,
1371         melt,
1372         python3-pyrss2gen,
1373         python3-virtualenv,
1374         libapache2-mod-wsgi-py3
1375 Description: metapackage for veyepar.debian.org
1376  This package depends on everything (hopefully) that is needed for
1377  veyepar.debian.org (one option for DebConf video review system)
1378
1379 Package: debian.org-sreview.debian.org
1380 Architecture: all
1381 Depends: apache2,
1382         gstreamer1.0-plugins-base-apps,
1383         gstreamer1.0-tools,
1384         gstreamer1.0-plugins-good,
1385         ffmpeg,
1386         bs1770gain,
1387         libmojolicious-perl,
1388         libmojo-pg-perl,
1389         libglib-object-introspection-perl,
1390         libglib-perl,
1391         libjson-xs-perl,
1392         libmoose-perl,
1393         inkscape,
1394         libyaml-perl,
1395         sox,
1396         postgresql-client,
1397         git,
1398         gridengine-exec,
1399         gridengine-client,
1400         libxml-rss-perl,
1401         postgresql-contrib,
1402         kgb-client,
1403 Recommends:
1404         gridengine-master
1405 Description: metapackage for sreview.debian.{org,net}
1406  This package depends on everything (hopefully) that is needed for
1407  sreview.debian.net, to become sreview.debian.org at some point (other option
1408  for DebConf video review system)
1409
1410 Package: debian.org-wafer.debconf.org
1411 Architecture: all
1412 Depends:
1413         memcached,
1414         nodejs-legacy,
1415         python3,
1416         python3-diff-match-patch,
1417         python3-django (>= 1:1.11),
1418         python3-django-jsonfield,
1419         python3-django-nose,
1420         python3-django-reversion,
1421         python3-djangorestframework,
1422         python3-libravatar,
1423         python3-markdown,
1424         python3-pil,
1425         python3-psycopg2,
1426         python3-requests,
1427         python3-tz,
1428         python3-venv,
1429         python3-wheel,
1430         python3-yaml,
1431         libjs-jquery,
1432 Description: metapackage for wafer-based debconf.org websites
1433  This package depends on everything (hopefully) that is needed for
1434  wafertest.debconf.org, and similar.